TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Keyword

Inside KASH3

### Description

<shortdoc> KASH3 contains several advanced features that facilitate extending its functionality. Some of these come from the GAP3 programming language, in particular the overloading of operators using records. Extendable objects are also build on records. They allow storing additional information in objects on the shell level. Together with the type system this also allows inheritance of functionality to objects of new types. The type system also makes it possible to overload functions ('InstallMethods'). Overloading and the type system are tied in with the help system. </shortdoc>

### See also

Types
Records and Extended Objects
Optional Arguments
Maps
Documentation
Methods

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack